<?php

/**
 * DZF
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions © 2012-2014 All rights reserved
 * @package DZF
 */

/**
 * @author Rostislav Boiko <r.boyko@luckywarepro.com>
 */
class DZF_AuditLog_Listener extends Doctrine_AuditLog_Listener {

    public function preUpdate(Doctrine_Event $event) {
        if ($this->_auditLog->getOption('auditLog')) {
            $record = $event->getInvoker();

            $version = $this->_auditLog->getOption('version');
            $name = $version['alias'] === null ? $version['name'] : $version['alias'];

            if (!key_exists($name, $record->getModified())) {
                parent::preUpdate($event);
            }
        }
    }

}
