<?php
/**
 * DZF
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions © 2012-2014 All rights reserved
 * @package DZF
 */

/**
 * @author Karsten Deubert <info@deubert.it>
 */
class DZF_Exception extends Exception
{
    public $debugData;

    public static function filterSession($sessionInput)
    {
        if (
            is_array($sessionInput)
            && array_key_exists('Zend_Auth', $sessionInput) && is_array($sessionInput['Zend_Auth'])
            && array_key_exists('storage', $sessionInput['Zend_Auth']) && is_array($sessionInput['Zend_Auth']['storage'])
        )
        {
            $sessionInput['Zend_Auth']['storage']['password'] = '***';
            $sessionInput['Zend_Auth']['storage']['salt'] = '***';
        }

        return $sessionInput;
    }
}