<?php
/**
 * DZF
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions © 2012-2014 All rights reserved
 * @package DZF
 */

/**
 * @author Karsten Deubert <info@deubert.it>
 */
class DZF_Filter_AssertUriScheme implements Zend_Filter_Interface
{
    protected $_default = '';

    public function __construct($default = 'http')
    {
        $this->_default = $default;
    }

    public function filter($value)
    {
        if (substr(strtolower($value), 0, 4) !== 'http')
        {
            $value = $this->_default.'://'.$value;
        }

        return $value;
    }
}